/* -------------------------------------------- Basic  button font */
[class*="vsk-btn"] :where(a, button, .elementor-button),
.elementor-widget-button[class*="vsk-btn"] :where(a, button, a.elementor-button),
a[class*="vsk-btn"],
button[class*="vsk-btn"]{
	font-family: var(--e-global-typography-1b28b19-font-family), Sans-serif!important;
    font-size: var(--e-global-typography-1b28b19-font-size)!important;
    font-weight: var(--e-global-typography-1b28b19-font-weight)!important;
    text-transform: var(--e-global-typography-1b28b19-text-transform)!important;
    font-style: var(--e-global-typography-1b28b19-font-style)!important;
    text-decoration: var(--e-global-typography-1b28b19-text-decoration)!important;
    line-height: var(--e-global-typography-1b28b19-line-height)!important;
    letter-spacing: var(--e-global-typography-1b28b19-letter-spacing)!important;
    word-spacing: var(--e-global-typography-1b28b19-word-spacing)!important;
	text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
}

/* -------------------------------------------- Button primary */
:where(.vsk-btn-primary a
	, a.vsk-btn-primary
	, .vsk-btn-primary button
	, button.vsk-btn-primary){
	position: relative;
    isolation: isolate;
	color: var(--e-global-color-36064f4)!important;
    background: var(--e-global-color-b3f66f7)!important;
    border-width: 1px!important;
    border-style: solid!important;
    border-color: var(--e-global-color-b3f66f7)!important;
   	border-radius: 0px!important;
    padding: 1em clamp(1em, calc(.5em + 2vw), 3em)!important;
    box-shadow: none!important;
	transform: scale(1);
}

:where(.vsk-btn-primary.white a
	, a.vsk-btn-primary.white
	, .vsk-btn-primary.white button
, button.vsk-btn-primary.white){
	color: var(--e-global-color-b3f66f7)!important;
    background: var(--e-global-color-36064f4)!important;
	border-color: var(--e-global-color-36064f4)!important;
}

:where(.vsk-btn-primary a
	, a.vsk-btn-primary
	, .vsk-btn-primary button
	, button.vsk-btn-primary
):is(:hover, :focus-visible){
    background-color: var(--e-global-color-eada0d1)!important;
	border-color: var(--e-global-color-eada0d1)!important;
	color: var(--e-global-color-b3f66f7)!important;
	transform: scale(1.02);
}



/* -------------------------------------------- Button secondary */
:where(.vsk-btn-secondary a){
	color: var(--e-global-color-b3f66f7);
    border-radius: 0;
    padding: 1em clamp(1em, calc(.5em + 2vw), 3em)!important;
    backdrop-filter: blur(3px);
    background-color: hsla(from currentColor h s l / .25)!important;
    border: 1px solid currentColor;
}

:where(.vsk-btn-secondary.white a){
	color: var(--e-global-color-36064f4);
}

:where(.vsk-btn-secondary a
):is(:hover, :focus, :active){
	  color: var(--e-global-color-b3f66f7);
}


/* -------------------------------------------- Button tertiary */
:where(.vsk-btn-tertiary a, a.vsk-btn-tertiary){
	--_btn-text-color: var(--e-global-color-b3f66f7);
}
:where(.vsk-btn-tertiary.white a, a.vsk-btn-tertiary.white){
	--_btn-text-color: var(--e-global-color-36064f4);
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline){
	font-family: var(--e-global-typography-text-font-family), Sans-serif!important;
    font-size: var(--e-global-typography-text-font-size)!important;
    font-weight: var(--e-global-typography-text-font-weight)!important;
    font-style: var(--e-global-typography-text-font-style)!important;
    text-transform: var(--e-global-typography-text-text-transform)!important;
    text-decoration: var(--e-global-typography-text-text-decoration)!important;
    line-height: var(--e-global-typography-text-line-height)!important;
    letter-spacing: var(--e-global-typography-text-letter-spacing)!important;
    word-spacing: var(--e-global-typography-text-word-spacing)!important;
	color: var(--_btn-text-color)!important;
	padding: .2em 0!important;
	background-color: transparent!important;
	border: none!important;
	position: relative;
	line-height: 1em!important;
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline):after{
	content: ''!important;
	position: absolute!important;
	width: 100%!important;
	transform: scaleX(0)!important;
	height: 1px!important;
	bottom: 0!important;
	left: 0!important;
	opacity: 1!important;
	background-color: currentColor!important;
	transition: transform var(--vsk-transition-duration) var(--vsk-transition-ease)!important;
	transform-origin: bottom right!important;
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline
):is(:hover, :focus, :active):after{
	 transform: scaleX(1)!important;
	transform-origin: bottom left!important;
}


/* Reset */
body.vsk .vsk-link-inherit a,
body.vsk a.vsk-link-inherit{
	font-family: inherit!important;
    font-size: inherit!important;
    font-weight: inherit!important;
    text-transform: inherit!important;
    font-style: inherit!important;
    text-decoration: inherit!important;
    line-height: inherit!important;
    letter-spacing: inherit!important;
    word-spacing: inherit!important;
	color: inherit!important;
}
